# Tracking Your Sessions

&#x20;**Using Integration Source Types for Tracking Each Session**

PAVE's session information includes the **`source`** in the results to track each of your launch methods when utilizing PAVE in more than one type of integration in your different types of user journeys. In addition, the source provides three fields to help with your analytics for each of your sessions.

**`type`:** indicates what method the session originated from, which can be one of four;&#x20;

* **`api`:** - This is the source for any session generated using the POST Create Session method using one of your API keys.&#x20;
* **`dashboard`:** - This is any session that an account user sends when logged into their dashboard.&#x20;
* **`shareable_link`:** - This is any session generated using your shareable links created in your SETTINGS > WIDGETS.
* **`embedded_widget`:** - This is any session generated from your embedded widgets created in your SETTINGS > WIDGETS.

In **`properties`,** you will see **`api_name`:** - This is the name you gave the API key when you created it in your DEVELOPER > API KEYS.

* You will also see **`dashboard_username`** if the source type is a **`dashboard`** - this is the account username who sent the link.&#x20;
* And if the source type is either **`shareable_link`** or **`embedded_widget`,** you will instead see **`form_name`** in the results - this is the name you gave each of these when you created them in your SETTINGS > WIDGETS.

**Sample Response with Source Type**

```
"session": {
        "session_key": "TOA-QGMWRCHHGB",
        "theme": "LITE",
        "active": true,
        "status": "IDLE",
        "redirect_url": "https://paveinspect.com/",
        "inspect_started_at": null,
        "inspect_ended_at": null,
        "created_at": "2021-08-17T13:27:10+00:00",
        "updated_at": "2021-08-17T13:27:10+00:00",
        "language": "EN",
        "options": {
            "contact": {
                "first_name": "Luan",
                "last_name": "Tran"
            },
            "reference": {
   "coupon_code": "TST-PAVE-00001",
                "coupon_value": 200
            },
            "sms": {
                "to": "8882298552",
                "to_name": null,
                "from": "8882298552",
                "by": null
            }
        },
        "user_account": {
            "username": "DemoAdmin",
            "first_name": "Demo",
            "last_name": "Admin",
            "email": "someone@discoveryloft.com",
            "phone": null
        },
        "source": {
            "type": "dashboard",
            "properties": {
                "api_name": "TESTOA-12-8",
                "dashboard_username": "DemoAdmin"
            }
        },
        "vehicle": null
    },

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.paveapi.com/integrations/developer-docs/tracking-your-sessions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
